Bug 1393796 - Review Request: golang-github-go-errors-errors - Package errors provides errors that have stack-traces
Summary: Review Request: golang-github-go-errors-errors - Package errors provides erro...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dennis Chen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1394193
TreeView+ depends on / blocked
 
Reported: 2016-11-10 10:56 UTC by Gianluca Sforna
Modified: 2016-12-27 22:47 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-27 05:19:08 UTC
Type: ---
barracks510: fedora-review+


Attachments (Terms of Use)

Description Gianluca Sforna 2016-11-10 10:56:44 UTC
Spec URL: https://giallu.fedorapeople.org/golang-github-go-errors-errors.spec
SRPM URL: https://giallu.fedorapeople.org/golang-github-go-errors-errors-0-0.1.gita418503.fc24.src.rpm
Description: 

Package errors adds stacktrace support to errors in go.

This is particularly useful when you want to understand the state of execution when an error was returned unexpectedly.

It provides the type *Error which implements the standard golang error interface, so you can use this library interchangably with code that is expecting a normal error return.

Fedora Account System Username: giallu

Comment 1 Dennis Chen 2016-11-14 17:13:52 UTC
I don't think we'll be targeting EPEL6, at least not with the arduino releases, could you simplify the SPEC to remove of all the unnecessary macros?

Comment 2 Gianluca Sforna 2016-11-16 11:17:24 UTC
Just for clarification it seems we haven't approved official packaging guidelines, so I relied on the gofed tool and https://fedoraproject.org/wiki/PackagingDrafts/Go to build the spec file. That's where all those macro and stuff comes from.

So, I cleaned it up a little, have a look at:
Spec URL: https://giallu.fedorapeople.org/golang-github-go-errors-errors.spec
SRPM URL: https://giallu.fedorapeople.org/golang-github-go-errors-errors-0-0.2.gita418503.fc24.src.rpm

Comment 3 Dennis Chen 2016-11-18 19:10:42 UTC
Ok. We can get rid of the ExclusiveArch, and then remove some unnecessary lines/comments:

%if 0%{?with_check} && ! 0%{?with_bundled}
%endif

%if 0%{?with_check}
#Here comes all BuildRequires: PACKAGE the unit tests
#in %%check section need for running
%endif

etc... And then I think we're good to go.

Comment 4 Gianluca Sforna 2016-11-26 18:37:27 UTC
(In reply to Dennis Chen from comment #3)
> Ok. We can get rid of the ExclusiveArch, 

the example mentions el6, but I am not sure it is limited to that. Without that macro, we need keep track manually of which archs golang is available.

I think it would be wiser to keep it, but if you insist I will remove it.

> and then remove some unnecessary
> lines/comments:
> 
> %if 0%{?with_check} && ! 0%{?with_bundled}
> %endif

Done

> 
> %if 0%{?with_check}
> #Here comes all BuildRequires: PACKAGE the unit tests
> #in %%check section need for running
> %endif

Done

> 
> etc... And then I think we're good to go.

and done


See:
Spec URL: https://giallu.fedorapeople.org/golang-github-go-errors-errors.spec
SRPM URL: https://giallu.fedorapeople.org/golang-github-go-errors-errors-0-0.3.gita418503.fc24.src.rpm

Comment 5 Gianluca Sforna 2016-12-09 10:17:41 UTC
Ping?

Comment 6 Dennis Chen 2016-12-09 12:44:42 UTC
(In reply to Gianluca Sforna from comment #5)
> Ping?

Sorry, Approved.

Comment 7 Gwyn Ciesla 2016-12-12 13:58:06 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/golang-github-go-errors-error

Comment 8 Gwyn Ciesla 2016-12-13 14:34:03 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/golang-github-go-errors-errors

Comment 9 Fedora Update System 2016-12-16 15:32:53 UTC
golang-github-go-errors-errors-0-0.3.gita418503.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-a6e81af815

Comment 10 Fedora Update System 2016-12-16 15:34:09 UTC
golang-github-go-errors-errors-0-0.3.gita418503.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-77b140109e

Comment 11 Fedora Update System 2016-12-17 01:38:18 UTC
golang-github-go-errors-errors-0-0.3.gita418503.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-a6e81af815

Comment 12 Fedora Update System 2016-12-19 20:59:56 UTC
golang-github-go-errors-errors-0-0.3.gita418503.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-77b140109e

Comment 13 Fedora Update System 2016-12-27 05:19:08 UTC
golang-github-go-errors-errors-0-0.3.gita418503.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2016-12-27 15:48:17 UTC
golang-github-go-errors-errors-0-0.3.gita418503.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2016-12-27 22:47:54 UTC
golang-github-go-errors-errors-0-0.3.gita418503.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.